We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Temporary service disruption

Hi all,


The quality of the conversion from DOC(X) > html/jpg now is great. We do not have as many problems anymore as we had before with crashing documents.

Over the last few weeks though, there seem to be service disruptions for approximately 20 minutes every time. The API is not down, and still accessible, but it keeps returning us conversion errors.

“Message”:“AmazonS3 exception: Error ‘The specified key does not exist.’, Bucket ‘afc-filestorage’, FilePath ‘1085/725c11e-69d-40d-945f-a7f0230c31/fa924ae98785caac7d6d8b3bff2bfca3e.docx’”}

What is happening here? The problem with the disruption is that we then don’t know what is going on, and we don’t know how long it takes.
These same service disruptance errors are now happening again since 12:39 PM

Another service disruption error we get:

{"Error":{"Code":"UnsupportedApiVersion","Message":"The HTTP resource that matches the request URI 'http://api.aspose.com/v1.1/storage/file/3c820529...e003158a2.png.zip?appSID=1ee...1d04&signature=yMQ...PY' does not support the API version '1.1'."}}

Hi Richard,

We’re investigating this matter and will get back to you with more information on the issue soon.

Sorry for this trouble.
Regards,

Hello Shahzad,


I’m sorry but this time we do not simply are okay with “sorry for this trouble”. For two days already the service is disrupted regularaly, and the last 10 hours the service is completely down.

API service downtime on a cloud service offering should have been escalated from the beginning, as availability is the basic offering of a cloud service. Please resolve these problems asap, or provide us with an alternative and viable solution.

Just to add another voice here, we are facing the exact same issue on the same timeline as rvanlaak is. Our system is also facing disruption and outage because of this error which is negatively effecting our customers. Please resolve this error or provide an alternate solution as soon as possible.


Thank you.

We have been seeing these Amazon S3 errors since 4/8/2017 12:21 PM EST.


Is there an ETA on when the service will be back up?

Also, why does the status page show that the service is up and running when it effectively down right now?

We’re experiencing the same thing here. Is there any ETA please?

Hello,

we are also suffering from the issue. Any updated ETA for a fix?

Hi All,

The issue seems related to the storage API only and we’re working on this matter on priority. We’ll update you as soon as the issue is fixed. Do you see the same issue with any other API as well (like Aspose.Words, Aspose.Cells or others)?

Regards,

I am seeing this issue with Aspose.Words

I have also found that my paid account gives the Amazon S3 error but if I move to a free account it works OK.

Hi

				<span id="ctl00_bcr_up___TextboxFirstName">Bryan,<br><br>We tested a few Aspose.Words APIs and they worked fine at our end. It seems like the issue is actually caused due to a relationship with the storage API. Can you please share which Aspose.Words API caused the issue? It would be great help if you can also share the code snippet which caused this error. <br><br><br></span>

We started having success at 4/9/2017 1:27 PM GMT and things have been fine since then. Nothing changed on our end so it seems like you were able to clear up issues with your storage API? The error we were receiving was:


Error: AmazonS3 exception: Error ‘The specified key does not exist.’, Bucket ‘afc-filestorage’, FilePath ‘9572/d8c0f175-1c73-4561-8327-1acdcde37405/ContractNewa0h2C000000Hz1HQAS’. Method: Populate document template with data… Parameters: name ‘ContractNewa0h2C000000Hz1HQAS’,folder ‘’,filename ‘’,cleanup ‘ContainingFields,EmptyParagraphs,UnusedFields,UnusedRegions,RemoveTitleRow,RemoveTitleRowInInnerTables’,useWholeParagraphAsRegion ‘True’,withRegions ‘True’

Hi All,

The issue is resolved and your apps should be working fine now. If you still find any such issue, please do let us know along with the failing URI, error details, any relevant code snippets, or other details etc., so we could fix the issue quickly. Your help will be greatly appreciated in this regard. However, we’re very much hopeful that this will not occur again.

Regards,

The service was fine for a while, but we are seeing the same error again in Aspose.Words. The last good merge was at 4/9/2017 3:55 PM GMT, and the first error error we saw started happening at 5:59 PM GMT. The error is:


Error: AmazonS3 exception: Error ‘The specified key does not exist.’, Bucket ‘afc-filestorage’, FilePath ‘9572/0d644e4f-235b-4719-98d8-4000c1063ef9/ContractNewa0h37000003ODSGAA4’. Method: Populate document template with data… Parameters: name ‘ContractNewa0h37000003ODSGAA4’,folder ‘’,filename ‘’,cleanup ‘ContainingFields,EmptyParagraphs,UnusedFields,UnusedRegions,RemoveTitleRow,RemoveTitleRowInInnerTables’,useWholeParagraphAsRegion ‘True’,withRegions 'True’

This seems to happen on the executeTemplate command

Same for us, issue seems to still exist. Last error: Error: AmazonS3 exception: Error ‘The specified key does not exist.’, Bucket ‘afc-filestorage’, FilePath '8605/e85ccbbb-cf04-41…

Hi !


We are still getting these errors when trying to download a file

"{“Error”:{“Code”:“UnsupportedApiVersion”,“Message”:“The HTTP resource that matches the request URI ’http://api.aspose.com/v1.1/storage/file/27c2979c-ee04-4e83-8834-7236578df812.docx?appSID=7D8...F120C7&signature=AeO...sO4' does not support the API version ‘1.1’.”}}"

We’re getting the same thing as Mari:


p.p1 {margin: 0.0px 0.0px 0.0px 0.0px; font: 12.0px Helvetica; color: #0069d9; -webkit-text-stroke: #0069d9} span.s1 {font-kerning: none; color: #000000; -webkit-text-stroke: 0px #000000} span.s2 {text-decoration: underline ; font-kerning: none; -webkit-text-stroke: 0px #0069d9}

The HTTP resource that matches the request URI '....' does not support the API version '1.1'

As of Apr 9 9:22 PM EDT we are still receiving the error

{“Error”:{“Code”:“UnsupportedApiVersion”,“Message”:“The HTTP resource that matches the request URI ‘http://api.aspose.com/v1.1/storage/file/abc_2640401.xlsx?appSID=abc123&signature=abc123’ does not support the API version ‘1.1’.”}}